edu.northwestern.at.morphadorner.tools.findteitextlanguage

## Class FindTEITextLanguage.DocData

- java.lang.Object
- - edu.northwestern.at.morphadorner.tools.findteitextlanguage.FindTEITextLanguage.DocData

- All Implemented Interfaces:
    java.lang.Comparable
  Enclosing class:
    FindTEITextLanguage

      public static class FindTEITextLanguage.DocData
      extends java.lang.Object
      implements java.lang.Comparable

  Hold language recognition results for one document.

  Stores up to three languages for each document. Documents with less than three languages have empty language entries with scores of 0 added.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `docFileName` Document file name.
    `ScoredString[]` | `docLanguages` Document languages and scores.
    `int` | `docLength` Document text length.
    `java.lang.String` | `docTitle` Document title.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindTEITextLanguage.DocData(java.lang.String docFileName, java.lang.String docTitle, int docLength, ScoredString[] docLanguages)` Create DocData entry.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object object)` Compare this object to another.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### docFileName

          public java.lang.String docFileName

      Document file name.

    - #### docTitle

          public java.lang.String docTitle

      Document title.

    - #### docLength

          public int docLength

      Document text length.

    - #### docLanguages

          public ScoredString[] docLanguages

      Document languages and scores.

  - ### Constructor Detail

    - #### FindTEITextLanguage.DocData

          public FindTEITextLanguage.DocData(java.lang.String docFileName,
                                     java.lang.String docTitle,
                                     int docLength,
                                     ScoredString[] docLanguages)

      Create DocData entry.
      Parameters:
        `docFileName` - Document file name.
        `docTitle` - Document title.
        `docLength` - Document text length.
        `docLanguages` - Document languages and scores.

  - ### Method Detail

    - #### compareTo

          public int compareTo(java.lang.Object object)

      Compare this object to another.
      Specified by:
        `compareTo` in interface `java.lang.Comparable`
      Parameters:
        `object` - Other object.